gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Functions

Contents

- Methods
  - valueDupRenderNode
  - valueGetRenderNode
  - valueSetRenderNode
  - valueTakeRenderNode

Description

Synopsis

- valueDupRenderNode :: (HasCallStack, MonadIO m) => GValue -> m (Maybe RenderNode)
- valueGetRenderNode :: (HasCallStack, MonadIO m) => GValue -> m (Maybe RenderNode)
- valueSetRenderNode :: (HasCallStack, MonadIO m, IsRenderNode a) => GValue -> a -> m ()
- valueTakeRenderNode :: (HasCallStack, MonadIO m, IsRenderNode a) => GValue -> Maybe a -> m ()

# Methods

## valueDupRenderNode

valueDupRenderNode Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> GValue | `value`: a `Value` initialized with type `GSK_TYPE_RENDER_NODE`
-> m (Maybe RenderNode) | Returns: the render node

Retrieves the render node stored inside a `GValue`, and acquires a reference to it.

Since: 4.6

## valueGetRenderNode

valueGetRenderNode Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> GValue | `value`: a `GValue` initialized with type `GSK_TYPE_RENDER_NODE`
-> m (Maybe RenderNode) | Returns: the render node

Retrieves the render node stored inside a `GValue`.

Since: 4.6

## valueSetRenderNode

valueSetRenderNode Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> GValue | `value`: a `Value` initialized with type `GSK_TYPE_RENDER_NODE`
-> a | `node`: a render node
-> m () |

Stores the given render node inside a `GValue`.

The `Value` will acquire a reference to the render node.

Since: 4.6

## valueTakeRenderNode

valueTakeRenderNode Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> GValue | `value`: a `Value` initialized with type `GSK_TYPE_RENDER_NODE`
-> Maybe a | `node`: a render node
-> m () |

Stores the given render node inside a `GValue`.

This function transfers the ownership of the render node to the `GValue`.

Since: 4.6